Subject: Re: [RFC] gitweb: Add committags support (take 2)

From: Jakub Narebski <[email-masked]>
Date: Wed, 6 Dec 2006 20:32:58 +0100

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
>> 2. Put the configuration in config file, using/like %features support.
>>    For example gitweb.committags.<committag name> would hold parameters
>>    for <committag>. Committags sequence would be given by sequence of
>>    entries in config file. Comittags without options would have sole
>>    variable entry (which I think is equivalent to being bool variable
>>    and having 1 or 'yes' as value).
> 
> I think gitweb.* in $GIT_DIR/config and a config reader in Perl
> are very sensible things to do, and you would need the config
> reader eventually anyway.  The longer we postpone it, the more
> we risk the temptation to pollute $GIT_DIR/ with the likes of
> "description", "owner", and "homepage", and I do not think we
> want to make this worse.

By the way, what is the formal structure of the config file? Perhaps
something like the notation used in RFC?

Is it possible (and doesn't crash current git config parser) having

  [gitweb]
  	blame = yes
  	pickaxe = no
  	snapshot = bzip2

  [gitweb "committags"]
  	message-id = "http://news.gmane.org/find-root.php?message_id="
  	mantis = "http://bugs.or.cz/view.php?id="
  	url
  	sha1

in the config file?
-- 
Jakub Narebski